MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# song Struct Reference

`#include <song.h>`

## Data Fields
struct tag * | tag
struct directory * | parent
time_t | mtime
unsigned | start_ms
| Start of this sub-song within the file in milliseconds.
unsigned | end_ms
| End of this sub-song within the file in milliseconds.
char | uri [sizeof(int)]

## Detailed Description

Definition at line 30 of file song.h.

## Field Documentation

unsigned song::end_ms

End of this sub-song within the file in milliseconds.

Unused if zero.

Definition at line 44 of file song.h.

time_t song::mtime

Definition at line 33 of file song.h.

struct directory* song::parent

Definition at line 32 of file song.h.

unsigned song::start_ms

Start of this sub-song within the file in milliseconds.

Definition at line 38 of file song.h.

struct tag* song::tag

Definition at line 31 of file song.h.

char song::uri[sizeof(int)]

Definition at line 46 of file song.h.

The documentation for this struct was generated from the following file:

- src/song.h